<div class="container">
  <std-card card-title="Inactieve CPAs">

    <div *ngIf="allCpaErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{allCpaErrorMessage}}</h4>
    </div>

    <div *ngIf="activationErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{activationErrorMessage}}</h4>
    </div>

    <div *ngIf="deletionErrorMessage">
      <h3>Error</h3>
      <h4 class="text-danger">{{deletionErrorMessage}}</h4>
    </div>

    <div *ngIf="allCpaResponse && allCpaResponse.length > 0">

      <div class="form-group">
        <input type="search" class="form-control" [(ngModel)]="searchText" placeholder="Filter op CPA Id">
      </div>

      <div class="col-lg-12">
        <table class="table table-hover">
          <caption>Lijst van inactieve CPA's</caption>
          <thead>
            <tr>
              <th scope="col">CPA Id</th>
              <th scope="col"></th>
              <th scope="col"></th>
              <th scope="col"></th>
            </tr>
          </thead>
          <tbody>
            <tr class="table-light" *ngFor="let item of allCpaResponse | cpafilter : searchText | paginate: { itemsPerPage: 10, currentPage: page, totalItems: allCpaResponse.length }">
              <th scope="row">
                <a [routerLink]="['/view', item]">{{ item }}</a>
              </th>
              <td>
                <std-button type="primary" (click)="downloadCpa(item)">Download</std-button>
              </td>
              <td>
                <std-button type="primary" (click)="confirmAction(item, 'Activate')">Activate</std-button>
              </td>
              <td>
                <std-button type="primary" (click)="confirmAction(item, 'Delete')">Delete</std-button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="row">
        <pagination-controls class="pag-control-align" previousLabel="Prev" nextLabel="Next"(pageChange)="page = $event"></pagination-controls>
      </div>
    </div>

    <div [hidden]="allCpaResponse || allCpaErrorMessage || activationErrorMessage || deletionErrorMessage">
      <mat-spinner></mat-spinner>
      <h4>Aan het laden. . . Even wachten</h4>
    </div>

    <div *ngIf="allCpaResponse && allCpaResponse.length === 0">
      <h3>Er zijn momenteel geen inactieve CPA's beschikbaar. Probeer het later nog eens.</h3>
    </div>

  </std-card>
</div>